Class | EventMachine::Protocols::HeaderAndContentProtocol
In: | lib/protocols/header_and_content.rb
Parent: | Connection

Originally, this subclassed LineAndTextProtocol, which in turn relies on BufferedTokenizer, which doesn‘t gracefully handle the transitions between lines and binary text. Changed 13Sep08 by FCianfrocca.

### Methods

headers_2_hash headers_2_hash new receive_binary_data receive_line

### Included Modules

LineText2

### Constants

ContentLengthPattern | = | /Content-length:\s*(\d+)/i

### Public Class methods

headers_2_hash(hdrs)
new(*args)

### Public Instance methods

headers_2_hash(hdrs)

Basically a convenience method. We might create a subclass that does this automatically. But it‘s such a performance killer.

receive_binary_data(text)
receive_line(line)

[Validate]